Create a payment

Requires the PAYMENT.CREATE permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
external_referencestringRequiredformat: "^[a-zA-Z0-9]*"0-256 characters
resultenumRequired
timestampdatetime or nullOptional
customer_idstring or nullOptional
customerobject or nullOptional
invoice_idstring or nullOptional
Resource ID of type INVOICE
payment_acceptor_idstring or nullOptional

Resource ID of type PAYMENT_ACCEPTOR

payment_acceptor_referencestring or nullOptional
payment_method_idstring or nullOptional

Resource ID of type PAYMENT_METHOD

payment_method_detailsobjectOptional
integration_payment_method_referencestring or nullOptional
amountobjectOptional
result_detailsobjectOptional
dunning_action_detailsobjectOptional
contextobjectOptional

Response

OK
object_typestring or nullRead-only
idstring or nullRead-only
created_atstring or nullRead-only
timestampdatetime or null
customer_idstring or null
customerobject or null
invoice_idstring or null
Resource ID of type INVOICE
payment_acceptor_idstring or null

Resource ID of type PAYMENT_ACCEPTOR

payment_acceptor_referencestring or null
payment_method_idstring or null

Resource ID of type PAYMENT_METHOD

payment_method_detailsobject
integration_payment_method_referencestring or null
external_referencestringformat: "^[a-zA-Z0-9]*"0-256 characters
amountobject
resultenum
result_detailsobject
dunning_action_detailsobject
updated_atstring or nullRead-only
contextobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error